/*
   File:        html.h
   Author:      Andrew W. Moore
   Created:     Sat Jun 22 08:10:39 EDT 2002
   Description: Writing results to HTML

   Copyright 2002, Andrew W. Moore
*/


#ifndef HTML_H
#define HTML_H
#include "amut.h"

typedef struct hout
{
  FILE *s;
  char *filename;
  char *dirname;
  int itemize_levels;
} hout;

void free_hout(hout *x);

void fprintf_hout(FILE *s,char *m1,hout *x,char *m2);

void phout(hout *x);

hout *mk_copy_hout(hout *old);

void hprintf(hout *ho,const char *format, ...);

hout *mk_hout(char *dirname,char *hname,const char *format, ...);

void hlinkf(hout *ho,char *link_hname,const char *format, ...);

void hlinkf_text(hout *ho,char *link_hname,const char *format, ...);

void hbegin_itemize(hout *ho);

void hend_itemize(hout *ho);

void hitem(hout *ho);
    
void hpara(hout *ho);

char *dirname_from_args(char *key,int argc,char *argv[],char *default_dirname);

void check_dirname_ok(char *dirname);

#endif /* #ifndef HTML_H */
